﻿using ProjectRepairWork.Entities.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectRepairWork.Entities;
public class Premises
{
    public int Id { get; private set; }
    [DisplayName("Клиент")]
    public string ClientName { get; private set; } = string.Empty;
    [DisplayName("Адрес")]
    public string Address { get; private set; } = string.Empty;
    [DisplayName("Площадь")]
    public int Area { get; private set; }
    [DisplayName("Тип помещения")]
    public PremisesType PremisesType { get; private set; }
    [DisplayName("Дата начала")]
    public DateTime DateStart {  get; private set; }
    [DisplayName("Дата конца")]
    public DateTime DateEnd { get; private set; }
    public static Premises CreatEntity(int id, string clientName,  string address, int area, DateTime dateStart, DateTime dateEnd, PremisesType premisesType)
    {
        return new Premises
        {
            Id = id,
            ClientName = clientName,
            Address = address,
            Area = area,
            DateStart = dateStart,
            DateEnd = dateEnd,
            PremisesType = premisesType
        };
    }
}
