﻿using ProjectRepairWork.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectRepairWork.Repositories;

public interface IBuildingMaterialsRepository
{
    IEnumerable<BuildingMaterials> ReadBuildingMaterials();

    BuildingMaterials ReadBuildingMaterialsById(int id);
    void CreateBuildingMaterials(BuildingMaterials buildingMaterials);
    void UpdateBuildingMaterials(BuildingMaterials buildingMaterials);
    void DeletedBuildingMaterials(int id);
}
